Kea: isc::dhcp::MySqlHostDataSource::MySqlHostContextAlloc Class Reference

| Kea 2.2.0

Public Member Functions | Public Attributes | List of all members
isc::dhcp::MySqlHostDataSource::MySqlHostContextAlloc Class Reference

Context RAII Allocator. More...

`#include <mysql_host_data_source.h>`

## Public Member Functions
| MySqlHostContextAlloc (MySqlHostDataSourceImpl &mgr)
| Constructor. More...
| ~MySqlHostContextAlloc ()
| Destructor. More...

## Public Attributes
MySqlHostContextPtr | ctx_
| The context. More...

## Detailed Description

Context RAII Allocator.

Definition at line 474 of file mysql_host_data_source.h.

## Constructor & Destructor Documentation

## ◆ MySqlHostContextAlloc()

isc::dhcp::MySqlHostDataSource::MySqlHostContextAlloc::MySqlHostContextAlloc | ( | MySqlHostDataSourceImpl & | mgr | ) |

Constructor.

This constructor takes a context of the pool if one is available or creates a new one.

Parameters

  mgr | A parent instance

Definition at line 2730 of file mysql_host_data_source.cc.

References isc::dhcp::MySqlHostDataSourceImpl::createContext(), ctx_, isc_throw, and isc::dhcp::MySqlHostDataSourceImpl::pool_.

Here is the call graph for this function:

## ◆ ~MySqlHostContextAlloc()

isc::dhcp::MySqlHostDataSource::MySqlHostContextAlloc::~MySqlHostContextAlloc | ( |  | ) |

Destructor.

This destructor puts back the context in the pool.

Definition at line 2755 of file mysql_host_data_source.cc.

## Member Data Documentation

## ◆ ctx_

MySqlHostContextPtr isc::dhcp::MySqlHostDataSource::MySqlHostContextAlloc::ctx_

The context.

Definition at line 491 of file mysql_host_data_source.h.

Referenced by MySqlHostContextAlloc(), isc::dhcp::MySqlHostDataSource::add(), isc::dhcp::MySqlHostDataSource::commit(), isc::dhcp::MySqlHostDataSource::del(), isc::dhcp::MySqlHostDataSource::del4(), isc::dhcp::MySqlHostDataSource::del6(), isc::dhcp::MySqlHostDataSource::get4(), isc::dhcp::MySqlHostDataSource::get6(), isc::dhcp::MySqlHostDataSource::getAll(), isc::dhcp::MySqlHostDataSource::getAll4(), isc::dhcp::MySqlHostDataSource::getAll6(), isc::dhcp::MySqlHostDataSource::getAllbyHostname(), isc::dhcp::MySqlHostDataSource::getAllbyHostname4(), isc::dhcp::MySqlHostDataSource::getAllbyHostname6(), isc::dhcp::MySqlHostDataSource::getName(), isc::dhcp::MySqlHostDataSource::getPage4(), isc::dhcp::MySqlHostDataSource::getPage6(), and isc::dhcp::MySqlHostDataSource::rollback().

The documentation for this class was generated from the following files:

- mysql_host_data_source.h
- mysql_host_data_source.cc